Package icyllis.arc3d.core

# Class ColorSpace.Connector.Rgb

java.lang.Object
icyllis.arc3d.core.ColorSpace.Connector
icyllis.arc3d.core.ColorSpace.Connector.Rgb

Enclosing class:
  `ColorSpace.Connector`

@Internal public static class ColorSpace.Connector.Rgb extends ColorSpace.Connector
Optimized connector for RGB->RGB conversions.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class icyllis.arc3d.core.ColorSpace.Connector

  `ColorSpace.Connector.Rgb`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static float[]`
  `computeTransform(boolean srcIsXYZ, ColorSpace.Rgb srcRGB, boolean dstIsXYZ, ColorSpace.Rgb dstRGB)`
  Extends `computeTransform(ColorSpace.Rgb, ColorSpace.Rgb, RenderIntent)`, allowing XYZ->RGB and RGB->XYZ conversions.
  `float[]`
  `transform(float[] rgb)`
  Transforms the specified color from the source color space to a color in the destination color space.

  ### Methods inherited from class icyllis.arc3d.core.ColorSpace.Connector

  `getDestination, getRenderIntent, getSource, transform`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### transform

    @Nonnull public float[] transform(@Nonnull @Size(min=3L) float[] rgb)
    Description copied from class: `ColorSpace.Connector`

    Transforms the specified color from the source color space to a color in the destination color space.

    Overrides:
      `transform` in class `ColorSpace.Connector`
    Parameters:
      `rgb` - A non-null array of 3 floats containing the value to transform and that will hold the result of the transform
    Returns:
      The v array passed as a parameter, containing the specified color transformed from the source space to the destination space
    See Also:
      - `ColorSpace.Connector.transform(float, float, float)`

  - ### computeTransform

    @Internal @Nonnull @Size(9L) public static float[] computeTransform(boolean srcIsXYZ, @Nullable ColorSpace.Rgb srcRGB, boolean dstIsXYZ, @Nullable ColorSpace.Rgb dstRGB)
    Extends `computeTransform(ColorSpace.Rgb, ColorSpace.Rgb, RenderIntent)`, allowing XYZ->RGB and RGB->XYZ conversions.